org.codehaus.plexus.component.discovery

## Interface ComponentDiscoverer

All Known Subinterfaces:
  AnnotationBasedComponentDiscoverer, ResourceBasedComponentDiscoverer

All Known Implementing Classes:
  AbstractResourceBasedComponentDiscoverer, DefaultComponentDiscoverer, PlexusXmlComponentDiscoverer

    public interface ComponentDiscoverer

Author:
  Jason van Zyl

### Method Summary

Methods
`java.util.List<ComponentSetDescriptor>` `findComponents(Context context, org.codehaus.plexus.classworlds.realm.ClassRealm classRealm)`

### Method Detail

#### findComponents

    java.util.List<ComponentSetDescriptor> findComponents(Context context,
                                                        org.codehaus.plexus.classworlds.realm.ClassRealm classRealm)
                                                          throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`